package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckDetailsOrderServiceImpl;
import com.steerinfo.dil.service.impl.BmstruckStatementServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstruckdetailsorder")
public class BmstruckDetailsOrderController extends BaseRESTfulController {

    @Autowired
    BmstruckDetailsOrderServiceImpl bmstruckDetailsOrderService;

    /**
     * 销售汽运详单接口
     *
     * @param detailsId
     * @return
     */
    @ApiModelProperty(value = "销售汽运详单接口")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "detailsId", value = "详单主键id", required = true, dataType = "Integer"),
    })
    @PostMapping("/getDetailsOrder")
    public RESTfulResult getDetailsOrder(@RequestParam Integer detailsId) {
        Map<String,Object> mapValue = bmstruckDetailsOrderService.getDetailsOrder(detailsId);
        return success(mapValue);
    }


}
