package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsConsigneeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.pagehelper.PageHelper;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmsconsignee")
public class RmsConsigneeController extends BaseRESTfulController {

    @Autowired
    RmsConsigneeServiceImpl rmsConsigneeService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    /**
     * 收货客户管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "收货客户管理对接接口")
    @PostMapping("/operationConsignee")
    public RESTfulResult operationConsignee(@RequestBody Map<String, Object> mapVal) {
        int result = rmsConsigneeService.operationConsignee(mapVal);
        return success(result);
    }

    /**
     * 展示收获客户信息
     * @param mapVal
     * @param pageNum
     * @param pageSize
     * @param apiId
     * @return
     */
    @ApiOperation(value="展示收获客户信息", notes="分页查询")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "196", required = false, dataType = "BigDecimal"),
    })
    @PostMapping(value = "/getConsigneeList")
    public RESTfulResult getConsigneeList(@RequestBody(required = false) Map<String,Object> mapVal,
                                         Integer pageNum,
                                         Integer pageSize,
                                         Integer apiId){
        List<Map<String,Object>> list = rmsConsigneeService.getConsigneeList(mapVal);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = rmsConsigneeService.getConsigneeList(mapVal);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }


}
